/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.kerby.has.plugins.client;

import org.apache.kerby.has.client.HasClientPluginRegistry;
import org.apache.kerby.has.common.HasException;
import org.junit.Assert;
import org.junit.Test;

import java.util.Set;

public class TestHasClientPluginRegistry {

  @Test
  public void testInit() {
    Set<String> pluginsNames = HasClientPluginRegistry.registeredPlugins();
    Assert.assertTrue(pluginsNames.size() > 0);
  }

  @Test
  public void testCreatePlugin() throws HasException {
    Assert.assertTrue(HasClientPluginRegistry.createPlugin("MySQL") != null);
    Set<String> pluginNames = HasClientPluginRegistry.registeredPlugins();
    for (String name : pluginNames) {
      HasClientPluginRegistry.createPlugin(name);
    }
  }
}

